util.io

## Class StreamReaderThread

- java.lang.Object
- - java.lang.Thread
  - - util.io.StreamReaderThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class StreamReaderThread
      extends java.lang.Thread

  A class that reads from InputStreams in a Thread.
  Author:
    René Mach

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamReaderThread(java.io.InputStream stream, boolean save)`
    `StreamReaderThread(java.io.InputStream stream, boolean save, java.lang.String encoding)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOutput()` Deprecated. since 3.0, use `ExecutionHandler.getOutput()` instead
    `protected java.lang.String` | `getOutputString()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamReaderThread

          public StreamReaderThread(java.io.InputStream stream,
                            boolean save)

      Parameters:
        `stream` - The InputStream to read from.
        `save` - Save the output of the stream.

    - #### StreamReaderThread

          public StreamReaderThread(java.io.InputStream stream,
                            boolean save,
                            java.lang.String encoding)

      Parameters:
        `stream` - The InputStream to read from.
        `save` - Save the output of the stream.
        `encoding` - Encoding of the Stream

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### getOutput

          @Deprecated
          public java.lang.String getOutput()

      Deprecated. since 3.0, use `ExecutionHandler.getOutput()` instead
      Returns:
        The output of the stream.

    - #### getOutputString

          protected java.lang.String getOutputString()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)